:root {
	--serif: ui-serif, Georgia, Cambria, "Times New Roman", Times, serif;
	--sans: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;

	--text: #1a1a1a;
	--bg: #314158;
	--bg-light: #f1f5f9;
	--link: #1447e6;
	--link-hover: #51a2ff;
}

* {
	font-family: var(--serif);
	margin: 0;
	padding: 0;
	line-height: 1.6;
	color: var(--text);
	-webkit-font-smoothing: antialiased;
}

body {
	max-width: 960px;
	padding: 2rem 1rem;
	margin: auto;
}

#heading {
	display: flex;
	align-items: center;
	margin-bottom: 2rem;
}

#headshot {
	border-radius: 9999px;
	max-height: 10rem;
	flex: 0 1 auto;
}

#heading-content {
	flex: 5 1 auto;
	padding: 0rem 2rem 0rem 2rem;
}

#languages {
	display: flex;
	flex-wrap: wrap;
	gap: 1rem;
	list-style-type: none;
	margin-top: 1rem;
}

.language {
	font-family: var(--sans);
	text-transform: uppercase;
	color: white;
	background-color: var(--bg);
	border-radius: 0.3rem;
	padding: 0.2rem 0.5rem 0.2rem 0.5rem;
	font-size: 0.8rem;
	font-weight: 600;
}

#links {
	flex: 3 1 auto;
	text-align: right;
	display: flex;
	flex-direction: column;
	font-size: 0.8rem;
}

.link {
	font-family: var(--sans);
	color: var(--link);
	white-space: nowrap;
}

.link:hover, link:focus {
	color: var(--link-hover);
}

.content-list {
	background-color: var(--bg-light);
	list-style: disc inside;
	padding: 0.5rem 1.0rem 0.5rem 1.0rem;
	font-size: 0.8rem;
}

.content-heading {
	display: flex;
	justify-content: space-between;
	align-items: center;
	margin: 1rem 0rem 1rem 0rem;
}

.content-header {
	margin-top: 2rem;
}

.dates {
	text-align: right;
}

@media not print {
	@media (max-width: 768px) {
		#heading {
			flex-direction: column;
			justify-content: center;
			align-items: center;
		}

		#headshot {
			max-width: 3rem;
		}

		#heading-content {
			padding: 0;
			text-align: center;
		}

		#links {
			padding-top: 0.5rem;
			text-align: center;
		}

		#languages {
			gap: 0.2rem;
			justify-content: center;
			align-items: center;
		}

		.language {
			font-size: 0.5rem;
		}

		h2 {
			text-align: center;
			font-size: 1rem;
			text-decoration: underline;
		}
	}
}

@media print {

	html {
		font-size: 0.9rem;
	}

	body {
		padding: 0 0;
		margin: auto;
	}

	#heading {
		flex-wrap: wrap;
		text-align: center;
		margin: 0 0 0.5rem 0;
	}

	#headshot {
		display: none;
	}


	#languages {
		margin-top: 0;
		text-align: center;
		justify-content: center;
		align-items: center;
	}

	#links {
		text-align: center;
		justify-content: center;
		align-items: center;
		flex-direction: row;
		gap: 0.8rem;
		font-size: 0.8rem;
	}

	h2 {
		padding: 0;
		margin: 0;
	}

	.content-heading {
		display: flex;
		justify-content: space-between;
		align-items: center;
		margin: 0.5rem 0rem 0.5rem 0rem;
	}


	.content-header {
		margin-top: 0;
	}


}
